Search documentation of ExStreamClient

# ExStreamClient.Model.Call (ExStreamClient v0.1.10)

View Source

Schema representing a Call

# Summary

## Types

t()

## Functions

decode(map)

Components could just be enums that are typed - so we need to decode those as enums as they will just be stings

nested_components()

# Types

# t()

    @type t() :: %ExStreamClient.Model.Call{
      app_pk: integer(),
      backstage: boolean(),
      blocked_user_i_ds: [String.t()],
      blocked_users: [ExStreamClient.Model.User.t()],
      call_type: ExStreamClient.Model.CallType.t() | nil,
      channel_cid: String.t(),
      cid: String.t(),
      created_at: float(),
      created_by: ExStreamClient.Model.User.t() | nil,
      created_by_user_id: String.t(),
      current_session_id: String.t(),
      custom: %{optional(String.t()) => any()},
      deleted_at: float() | nil,
      egress_updated_at: float() | nil,
      egresses: [ExStreamClient.Model.CallEgress.t()],
      ended_at: float() | nil,
      id: String.t(),
      join_ahead_time_seconds: integer() | nil,
      last_heartbeat_at: float() | nil,
      last_session_id: String.t(),
      member_count: integer() | nil,
      member_lookup: ExStreamClient.Model.MemberLookup.t() | nil,
      members: [ExStreamClient.Model.CallMember.t()],
      session: ExStreamClient.Model.CallSession.t() | nil,
      settings: ExStreamClient.Model.CallSettings.t() | nil,
      settings_overrides: ExStreamClient.Model.CallSettings.t() | nil,
      starts_at: float() | nil,
      team: String.t(),
      thumbnail_url: String.t(),
      type: String.t(),
      updated_at: float()
    }

# Functions

# decode(map)

Components could just be enums that are typed - so we need to decode those as enums as they will just be stings

# nested_components()